### Method

# FwupdPlugin StreamInputStream set_base_stream

since: 2.0.7

#### Declaration [src]

    void
    fu_stream_input_stream_set_base_stream (
      FuStreamInputStream* self,
      GInputStream* base_stream
    )

#### Description [src]

Sets the underlying `GInputStream` that this stream wraps. The `base_stream` is reffed. This is intended for use by subclasses during construction.

Available since: 2.0.7

#### Parameters

`base_stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the method.